=== debian/changelog ===
stretchplayer (0.503-5) unstable; urgency=medium

  * Team Upload
  * Switch from CDBS to DebHelper 13

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * New patch: add French comment to the menu item
  * Update series (add 2001-desktop-file_l10n-FR.patch)
  * Update copyright (http -> https)
  * Update control (http -> https)
  * Update copyright (add myself)
  * Update watch (http -> https)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Aug 2025 22:16:08 +0200

stretchplayer (0.503-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Reiner Herrmann ]
  * Port to Qt5 (Closes: #875195)

  [ Moritz Mühlenhoff ]
  * Debhelper 10, standards version 4.4.0

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Sep 2019 22:58:56 +0200

stretchplayer (0.503-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/cmake-include-dirs.patch: Correctly set include
    directories. (Closes: #745224)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Jun 2015 21:41:55 +0200

stretchplayer (0.503-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    - One-dep-per-line.
    - Sort build-dependencies.
    - Fix small misspelling.
    - Bump Standards.
    - Depends on jackd (Closes: #624286).
    - Remove shlibs:Depends macro from stretchplayer-dbg's Depends field.
  * debian/copyright
    - Update to DEP-5 rev.174.
    - Fix indentation.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Apr 2011 19:25:40 +0200

stretchplayer (0.503-1) unstable; urgency=low

  * Initial upload (Closes: #605256).

 -- Arnout Engelen <arnouten@bzzt.net>  Sun, 28 Nov 2010 19:11:57 +0100
