=== debian/control ===
Source: stretchplayer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Arnout Engelen <arnouten@bzzt.net>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libjack-dev,
 librubberband-dev,
 libsndfile1-dev,
 scour,
 qtbase5-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/multimedia-team/stretchplayer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/stretchplayer
Homepage: https://www.teuton.org/~gabriel/stretchplayer/

Package: stretchplayer
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Description: Audio file player with time stretch and pitch shifting
 StretchPlayer will play back an audio file and allow you to
 time stretch (without affecting pitch) and/or pitch shift (without
 affecting the time) the audio, even while you are listening to it.
 .
 Warning: this package contains the development version (potentially
 unstable) released for testing purpose only.
