=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5
export DESTDIR=$(CURDIR)/debian/stretchplayer

%:
	dh $@ --buildsystem=cmake
