=== debian/watch ===
version=3
https://www.teuton.org/~gabriel/stretchplayer/ \
	stretchplayer_(.*)\.orig\.tar\.gz
